
Katello - Bug #5931

CDN path verification should handle redirects

05/26/2014 02:56 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1099221 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1099221

Description of problem:

Currently the cdn_var_substitutor#valid_substitutions? treats 301 redirects as an error. In some cases it will try to fetch

$REPO_URL/repodata which causes a redirect to $REPO_URL/repodata/. One solution is to have it request

$REPO_URL/repodata/repomd.xml, but i would argue it should just follow redirects as well.

Version-Release number of selected component (if applicable):

katello-1.5.0-22.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.37-1.el6sat.noarch

pulp-katello-plugins-0.2-1.el6sat.noarch

ruby193-rubygem-katello-1.5.0-40.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

How reproducible:

100%

Steps to Reproduce:

(1. Change the CDN URL to a local mirror)

2. Visit the Red Hat Repositories page

3. Try to select/enable a repository

Actual results:

Back-end errors

Expected results:

Repo should become enabled

Additional info:

http://projects.theforeman.org/issues/5574

History

#1 - 06/05/2014 02:55 AM - Eric Helms

- Status changed from New to Closed

- Triaged set to Yes

Bugzilla was verified.

#2 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://bugzilla.redhat.com/show_bug.cgi?id=1099221
http://projects.theforeman.org/issues/5574
http://www.tcpdf.org

